Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::ParamParser Class Reference

`#include <ParamParser.h>`

## Public Member Functions

| ParamParser (const std::map< std::string, std::string > &m)
template<typename T>
bool | parse (const std::string &key, T *value)
void | finish ()
| ~ParamParser ()

## Detailed Description

Definition at line 12 of file ParamParser.h.

## Constructor & Destructor Documentation

## ParamParser()

Halide::Internal::Autoscheduler::ParamParser::ParamParser | ( | const std::map< std::string, std::string > & | m | ) |

inline explicit

Definition at line 36 of file ParamParser.h.

## ~ParamParser()

Halide::Internal::Autoscheduler::ParamParser::~ParamParser | ( |  | ) |

inline

Definition at line 65 of file ParamParser.h.

References finish().

## Member Function Documentation

## parse()

template<typename T>

bool Halide::Internal::Autoscheduler::ParamParser::parse | ( | const std::string & | key,
|  | T * | value )

inline

Definition at line 44 of file ParamParser.h.

## finish()

void Halide::Internal::Autoscheduler::ParamParser::finish | ( |  | ) |

inline

Definition at line 54 of file ParamParser.h.

References user_error.

Referenced by ~ParamParser().

The documentation for this class was generated from the following file:

- src/autoschedulers/common/ParamParser.h